---
title: Cookie2
slug: Web/HTTP/Headers/Cookie2
tags:
  - HTTP
  - Obsolete
  - Reference
  - header
  - request
---
<div>{{HTTPSidebar}} {{obsolete_header}}</div>

<p>The obsolete <strong><code>Cookie2</code></strong> HTTP request header used to advise the server that the user agent understands "new-style" cookies, but nowadays user agents will use the {{HTTPHeader("Cookie")}} header instead, not this one.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre>Cookie2: $Version="1"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("2965", "Cookie2")}}</td>
   <td>Historic specification of HTTP State Management Mechanism, obsoleted by {{RFC("6265")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Cookie2")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Cookie")}}</li>
 <li>{{domxref("Document.cookie")}}</li>
</ul>
